Package picard.illumina

## Class ExtractIlluminaBarcodes.PerTileBarcodeExtractor.BarcodeMatch

- java.lang.Object
- - picard.illumina.ExtractIlluminaBarcodes.PerTileBarcodeExtractor.BarcodeMatch

- Enclosing class:
    ExtractIlluminaBarcodes.PerTileBarcodeExtractor

      public static class ExtractIlluminaBarcodes.PerTileBarcodeExtractor.BarcodeMatch
      extends Object

  Utility class to hang onto data about the best match for a given barcode

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BarcodeMatch()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getBarcode()` |
    `boolean` | `isMatched()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BarcodeMatch

          public BarcodeMatch()

  - ### Method Detail

    - #### isMatched

          public boolean isMatched()

    - #### getBarcode

          public String getBarcode()